%global _empty_manifest_terminate_build 0
Name:		python-networkx
Version:	3.1
Release:	1
Summary:	Python package for creating and manipulating graphs and networks
License:	BSD-3-Clause
URL:		http://networkx.github.io/
Source0:	https://github.com/networkx/networkx/archive/refs/tags/networkx-%{version}.tar.gz
BuildArch:	noarch

Requires:       python3-numpy
Requires:       python3-scipy
Requires:       python3-matplotlib
Requires:       python3-pandas
Requires:       python3-pre-commit
Requires:       python3-mypy
Requires:       python3-sphinx
Requires:       python3-pydata-sphinx-theme
Requires:       python3-sphinx-gallery
Requires:       python3-numpydoc
Requires:       python3-pillow
Requires:       python3-nb2plots
Requires:       python3-texext
Requires:       python3-lxml
Requires:       python3-pygraphviz
Requires:       python3-pydot
Requires:       python3-sympy
Requires:       python3-pytest
Requires:       python3-pytest-cov
Requires:       python3-codecov

%description
NetworkX is a Python package for the creation, manipulation,
and study of the structure, dynamics, and functions
of complex networks.

%package -n python3-networkx
Summary:	Python package for creating and manipulating graphs and networks
Provides:	python-networkx
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-networkx
NetworkX is a Python package for the creation, manipulation,
and study of the structure, dynamics, and functions
of complex networks.

%package help
Summary:	Development documents and examples for networkx
Provides:	python3-networkx-doc
%description help
NetworkX is a Python package for the creation, manipulation,
and study of the structure, dynamics, and functions
of complex networks.

%prep
%autosetup -n networkx-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-networkx -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Jul 12 2023 sunhui <sunhui@kylinos.cn> - 3.1-1
- Update package to version 3.1

* Thu Jan 19 2023 Zhipeng Xie <xiezhipeng1@kylinos.cn> - 3.0-1
- Upgrade to version v3.0

* Wed Jun 22 2022 chendexi <chendexi@kylinos.cn> - 2.8.4-1
- Upgrade to version v2.8.4
 
* Wed Sep 30 2020 Python_Bot <Python_Bot@openeuler.org> - 2.5-1
- Package Spec generated

* Tue Mar 10 2020 liangdong <liangdong10@huawei.com> - 1.11-14
- Package init
